VSTGUI: IFilter Class Reference

VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Loading...
Searching...
No Matches
Public Types | Public Member Functions | List of all members
IFilter Class Referenceabstract
New classes » Version 4.1

Filter Interface. More...

`#include <cbitmapfilter.h>`

Inheritance diagram for IFilter:

## Public Types
using | CreateFunction = IFilter* (*) (IdStringPtr name)

## Public Member Functions
virtual bool | run (bool replaceInputBitmap=false)=0
virtual UTF8StringPtr | getDescription () const =0
virtual bool | setProperty (IdStringPtr name, const Property &property)=0
virtual bool | setProperty (IdStringPtr name, Property &&property)=0
virtual const Property & | getProperty (IdStringPtr name) const =0
virtual uint32_t | getNumProperties () const =0
virtual IdStringPtr | getPropertyName (uint32_t index) const =0
virtual Property::Type | getPropertyType (uint32_t index) const =0
virtual Property::Type | getPropertyType (IdStringPtr name) const =0
Public Member Functions inherited from ReferenceCounted< int32_t >
| ReferenceCounted ()=default
virtual | ~ReferenceCounted () noexcept=default
| ReferenceCounted (const ReferenceCounted &)
ReferenceCounted & | operator= (const ReferenceCounted &)
| ReferenceCounted ()=default
| ReferenceCounted (const ReferenceCounted &)
virtual | ~ReferenceCounted () noexcept=default
ReferenceCounted & | operator= (const ReferenceCounted &)
void | forget () override
| decrease refcount and delete object if refcount == 0
void | remember () override
| increase refcount
virtual int32_t | getNbReference () const
| get refcount
void | forget () override
| decrease refcount and delete object if refcount == 0
void | remember () override
| increase refcount
virtual int32_t | getNbReference () const
| get refcount

## Detailed Description

Filter Interface.

## Member Typedef Documentation

## ◆ CreateFunction

using CreateFunction = IFilter* (*) (IdStringPtr name)

## Member Function Documentation

## ◆ getDescription()

virtual UTF8StringPtr getDescription | ( |  | ) | const
| pure virtual

Implemented in FilterBase.

## ◆ getNumProperties()

virtual uint32_t getNumProperties | ( |  | ) | const
| pure virtual

Implemented in FilterBase.

## ◆ getProperty()

virtual const Property & getProperty | ( | IdStringPtr | name | ) | const
| pure virtual

Implemented in FilterBase.

## ◆ getPropertyName()

virtual IdStringPtr getPropertyName | ( | uint32_t | index | ) | const
| pure virtual

Implemented in FilterBase.

## ◆ getPropertyType() [1/2]

virtual Property::Type getPropertyType | ( | IdStringPtr | name | ) | const
| pure virtual

Implemented in FilterBase.

## ◆ getPropertyType() [2/2]

virtual Property::Type getPropertyType | ( | uint32_t | index | ) | const
| pure virtual

Implemented in FilterBase.

## ◆ run()

virtual bool run | ( | bool | replaceInputBitmap = false | ) |
| pure virtual

## ◆ setProperty() [1/2]

virtual bool setProperty | ( | IdStringPtr | name,
|  | const Property & | property )
| pure virtual

Implemented in FilterBase.

## ◆ setProperty() [2/2]

virtual bool setProperty | ( | IdStringPtr | name,
|  | Property && | property )
| pure virtual

Implemented in FilterBase.

The documentation for this class was generated from the following file:

- cbitmapfilter.h